%{?nodejs_find_provides_and_requires}

%global packagename promise-resolver
%global enable_tests 1

Name:		nodejs-promise-resolver
Version:	3.0.0
Release:	1%{?dist}
Summary:	Provide flexible methods that accept callbacks and return promises

License:	MIT
URL:		https://github.com/jamestalmage/promise-resolver.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jamestalmage/promise-resolver/v%{version}/test.js



BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(safecb)
%if 0%{?enable_tests}
BuildRequires:	npm(co-mocha)
BuildRequires:	npm(mocha)
BuildRequires:	npm(chai)
%endif

%description
Provide flexible methods that accept callbacks and return promises without
requiring a Promise implementation exist


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Mon Feb 22 2016 Jared Smith <jsmith@fedoraproject.org> - 3.0.0-1
- Initial packaging
